Subject: bug#33180: closed (Re: bug#33180: guix pull fails in a directory with scm files)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Oct 2018 10:06:02 +0000

Your bug report

#33180: guix pull fails in a directory with scm files

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33180: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33180
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33180: guix pull fails in a directory with scm files
From: Björn Höfling <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Oct 2018 11:05:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, 28 Oct 2018 07:36:38 +0100
Julien Lepiller <[email-masked]> wrote:

> I had a similar issue, with every guix comand failing. It was due to
> GUILE_LOAD_PATH and GUILE_LOAD_COMPILED_PATH ending with “:”. Can you
> check the value of these variables?

Yes, that was the problem here:

export GUILE_LOAD_PATH=$HOME/.guix-profile/share/guile/site/2.2:$GUILE_LOAD_PATH

Now I learned what that :+:-notation is for and used it:

export GUILE_LOAD_PATH=$HOME/.guix-profile/share/guile/site/2.2${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH

Thanks,

Björn

Subject: guix pull fails in a directory with scm files
From: Björn Höfling <[email-masked]>
To: <[email-masked]>
Date: Sat, 27 Oct 2018 23:56:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When my current working directory is within a guix checkout, it goes
wrong (I suppose this can happen with any scheme code?)

 which guix
/home/bjoern/.config/guix/current/bin/guix
# In guix/guix is my Guix checkout:
me:~/guix/guix/gnu/packages$ guix pull

;;; note: source file texinfo.scm
;;;       newer than compiled /gnu/store/p9wm67w3rfw3hlb9iljgvsfn84mz4w9d-guile-2.2.4/lib/guile/2.2/ccache/texinfo.go
Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 _)
   222:29 18 (map1 _)
   222:29 17 (map1 _)
   222:29 16 (map1 _)
   222:29 15 (map1 _)
   222:29 14 (map1 _)
   222:29 13 (map1 _)
   222:29 12 (map1 _)
   222:29 11 (map1 _)
   222:29 10 (map1 _)
   222:29  9 (map1 _)
   222:29  8 (map1 _)
   222:29  7 (map1 _)
   222:29  6 (map1 _)
   222:29  5 (map1 _)
   222:29  4 (map1 _)
   222:29  3 (map1 _)
   222:17  2 (map1 (((texinfo)) ((texinfo plain-text)) ((texinfo …))))
   2803:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ …)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu…" …) …)

ERROR: In procedure scm-error:
no code for module (texinfo)

cd
me:~$ guix pull
Updating channel 'guix-chromium' from Git repository at 'https://gitlab.com/mbakke/guix-chromium.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...